Subject: bug#6106: 24.0.50; info.el adds 'search-failed to debug-ignored-errors

From: Juri Linkov <[email-masked]>
Date: Sun, 29 Jul 2012 09:32:22 +0300

> Around line 4833 in info.el 'search-failed is added to debug-ignored-errors.
>
> That seems counterproductive to me.  I would not expect at all that
> viewing an info file would change the way the debugger works.  It would
> be less annoying if info mode would only modify the buffer-local binding
> of debug-ignored-errors.

`search-failed' is added to `debug-ignored-errors' in info.el
to not enter the debugger when a normal search stops with no results.

But this error is raised by `xsignal1 (Qsearch_failed, string)'
in `re-search-forward' (called from `Info-search'),
so I see no way to replace it with a call to the new function
`user-error' (or the same function with any other name).